Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QLineEdit

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QLineEdit class reference

### Public Functions

- bool getSelection ( int * start, int * end ) `(obsolete)`
- bool validateAndSet ( const QString & newText, int newPos, int newMarkAnchor, int newMarkDrag ) `(obsolete)`

## Member Function Documentation

### bool QLineEdit::getSelection ( int * start, int * end )

### bool QLineEdit::validateAndSet ( const QString & newText, int newPos, int newMarkAnchor, int newMarkDrag )

Use setText(), setCursorPosition() and setSelection() instead.